Bug 427434 - Local mail locked after 4.5 to 4.6 upgrade
Local mail locked after 4.5 to 4.6 upgrade
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.6
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 14:53 EST by kbrede
Modified: 2012-06-20 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs and command output (956 bytes, text/plain)
2008-01-03 14:53 EST, kbrede
no flags Details

  None (edit)
Description kbrede 2008-01-03 14:53:39 EST
Description of problem:

After upgrading from 4.5 to 4.6 new mail to any local account can't be
delivered, including the root account.  Mail can be delivered outside the
systems and to users locally who have accounts in LDAP.    

Version-Release number of selected component (if applicable):

sendmail-8.13.1-3.2.el4

How reproducible:

Always happens.

Steps to Reproduce:
1.  echo test | mail -s testing root@localhost
  
Actual results:

I've attached a file that includes the section from /var/log/maillog when
running "echo test | mail -s testing root@localhost" and commands showing the
output of ps and my attempt at flushing the queue.  In short the mail is sent,
never shows up in the local mbox and is locked in /var/spool/mqueue.

Expected results:

Mail to be delivered to local mailbox.

Additional info:

I have a mixed batch of 4.6 systems with regards to the mail configuration. 
Some of them are running postfix and some sendmail.  The only ones experiencing
the problem as reported are the ones running sendmail.  All the 4.6/sendmail
boxes stopped local delivery to the root account the day I upgraded to 4.6.  I
rebooted one of the boxes after deleting all files in /var/spool/mqueue.  This
did not fix anything, delivery to the root account still locks.
Comment 1 kbrede 2008-01-03 14:53:39 EST
Created attachment 290770 [details]
logs and command output
Comment 2 kbrede 2008-01-07 14:39:41 EST
(In reply to comment #0)
> Description of problem:
> 
> After upgrading from 4.5 to 4.6 new mail to any local account can't be
> delivered, including the root account.  Mail can be delivered outside the
> systems and to users locally who have accounts in LDAP.    
> 
> Version-Release number of selected component (if applicable):
> 
> sendmail-8.13.1-3.2.el4
> 
> How reproducible:
> 
> Always happens.
> 
> Steps to Reproduce:
> 1.  echo test | mail -s testing root@localhost
>   
> Actual results:
> 
> I've attached a file that includes the section from /var/log/maillog when
> running "echo test | mail -s testing root@localhost" and commands showing the
> output of ps and my attempt at flushing the queue.  In short the mail is sent,
> never shows up in the local mbox and is locked in /var/spool/mqueue.
> 
> Expected results:
> 
> Mail to be delivered to local mailbox.
> 
> Additional info:
> 
> I have a mixed batch of 4.6 systems with regards to the mail configuration. 
> Some of them are running postfix and some sendmail.  The only ones experiencing
> the problem as reported are the ones running sendmail.  All the 4.6/sendmail
> boxes stopped local delivery to the root account the day I upgraded to 4.6.  I
> rebooted one of the boxes after deleting all files in /var/spool/mqueue.  This
> did not fix anything, delivery to the root account still locks.

I figured this out.  In /etc/ldap.conf the following line was causing the problem. 

"nss_initgroups_ignoreusers root,ldap,named,avahi,haldaemon"

The removal of "root" from the line or commenting out the line fixed the mail
problem.
Comment 3 Thomas Woerner 2008-01-08 04:26:45 EST
Reassigning to openldap.
Comment 4 Jan Safranek 2008-01-08 04:39:33 EST
/etc/ldap.conf is owned by nss_ldap, not ldap -> reassigning.
Comment 5 Jiri Pallich 2012-06-20 09:29:45 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.